2 Replies Latest reply: Apr 18, 2009 11:51 PM by 807557 RSS

    Using 1.6+ classes in RTSJ

      RTSJ is using JDK 1.5. Is there any way to use 1.6+ classes? I run into some problems during porting.

        • 1. Re: Using 1.6+ classes in RTSJ
          It depends on the classes. You could grab JDK6 classes from the OpenJDK6 and put them on your bootclasspath but:

          1. It can't be any of the really core classes that are intimately connected to the VM (Object, Thread, Class, ClassLoader, java.lang.ref.*, java.lang.reflect.* ...)

          2. They can't require VM support that only exists in JDK6. For example a JMX API that only exists in JDK6 will need support from the JDK6 VM.

          3. There can't be any dependencies between classes such that JDK5 class X plus JDK6 class Y leads to breakage.

          Of course this is not officially supported.

          David Holmes
          • 2. Re: Using 1.6+ classes in RTSJ
            Thank you for your reply. Appreciate your working ethetics. You are always here.